Name:          openwebbeans
Version:       1.2.0
Release:       4%{?dist}
Summary:       Implementation of the JSR-299 WebBeans
License:       ASL 2.0
URL:           http://openwebbeans.apache.org/
Source0:       http://www.apache.org/dist/openwebbeans/%{version}/%{name}-%{version}-source-release.zip

Patch0:        %{name}-1.1.6-webbeans-web-servlet30.patch
Patch1:        %{name}-1.1.6-cditest-owb-servlet30.patch
Patch2:        %{name}-1.2.0-xbean-312.patch
# Add missing tomcat7 method
Patch3:        %{name}-1.2.0-tomcat7.patch

BuildRequires: mvn(asm:asm)
# BuildRequires: glassfish-annotation-api
BuildRequires: mvn(javax.annotation:javax.annotation-api) >= 1.2
BuildRequires: mvn(javax.enterprise:cdi-api)
BuildRequires: mvn(javax.inject:javax.inject)
BuildRequires: mvn(org.apache.geronimo.specs:geronimo-ejb_3.1_spec)
BuildRequires: mvn(org.apache.geronimo.specs:geronimo-jcdi_1.0_spec)
BuildRequires: mvn(org.apache.geronimo.specs:geronimo-jms_1.1_spec)
BuildRequires: mvn(org.apache.geronimo.specs:geronimo-jta_1.1_spec)
BuildRequires: mvn(org.apache.geronimo.specs:geronimo-validation_1.0_spec)
BuildRequires: mvn(org.apache.tomcat:tomcat-catalina)
BuildRequires: mvn(org.apache.xbean:xbean-finder)
BuildRequires: mvn(org.eclipse.osgi:org.eclipse.osgi)
BuildRequires: mvn(org.hibernate.javax.persistence:hibernate-jpa-2.0-api)
# BuildRequires: mvn(org.jboss.arquillian:arquillian-bom)
BuildRequires: mvn(org.jboss.arquillian.container:arquillian-container-spi)
BuildRequires: mvn(org.jboss.arquillian.core:arquillian-core-spi)
BuildRequires: mvn(org.jboss.arquillian.junit:arquillian-junit-container)
BuildRequires: mvn(org.jboss.arquillian.test:arquillian-test-spi)
BuildRequires: mvn(org.jboss.arquillian.testenricher:arquillian-testenricher-cdi)
BuildRequires: mvn(org.jboss.shrinkwrap:shrinkwrap-api)
BuildRequires: mvn(org.jboss.spec.javax.el:jboss-el-api_2.2_spec)
BuildRequires: mvn(org.jboss.spec.javax.faces:jboss-jsf-api_2.1_spec)
BuildRequires: mvn(org.jboss.spec.javax.interceptor:jboss-interceptors-api_1.1_spec)
BuildRequires: mvn(org.jboss.spec.javax.servlet:jboss-servlet-api_3.0_spec)
BuildRequires: mvn(org.jboss.spec.javax.servlet.jsp:jboss-jsp-api_2.2_spec)
BuildRequires: mvn(org.ow2.asm:asm-all)
# require by org.jboss.arquillian:arquillian-bom and shrinkwrap-resolver-bom require aether-connector-wagon
# BuildRequires: mvn(org.jboss.shrinkwrap.resolver:shrinkwrap-resolver-bom)

# BuildRequires: hamcrest
# BuildRequires: javassist

# test deps
BuildRequires: mvn(asm:asm-commons)
BuildRequires: mvn(junit:junit)

#BuildRequires: apache-rat-plugin
BuildRequires: apache-resource-bundles
BuildRequires: maven-local
BuildRequires: maven-dependency-plugin
BuildRequires: maven-plugin-build-helper
BuildRequires: maven-plugin-bundle
BuildRequires: maven-remote-resources-plugin
BuildRequires: replacer
BuildRequires: geronimo-parent-poms
BuildRequires: httpcomponents-project
BuildRequires: maven-doxia
BuildRequires: maven-doxia-module-fml
BuildRequires: maven-doxia-module-xhtml
BuildRequires: maven-doxia-modules

BuildArch:     noarch

%description
OpenWebBeans is an implementation of the JSR-299, Contexts and
Dependency Injection for the Java EE platform.

It also already incorporates some features which are part of JSR-346
but doesn't need API changes as we still use the JCDI-1.0 API. The
incorporated CDI-1.1 features are mostly parts which are not well defined
in the CDI-1.0 specification, like Serialisation checks, etc.

%package arquillian
Summary:       OpenWebBeans-Standalone Arquillian connector

%description arquillian
Arquillian container for Apache OpenWebBeans standalone.
This is intended for running in unit tests.

%package cdi11
Summary:       OpenWebBeans Core for CDI 1.1

%description cdi11
Apache OpenWebBeans Implementation core module implementing CDI 1.1.

%package clustering
Summary:       Apache OpenWebBeans Clustering Plugin

%description clustering
Apache OpenWebBeans Clustering plugin.

%package ee
Summary:       Apache OpenWebBeans Java EE plugin

%description ee
Apache OpenWebBeans Java EE Utility.

%package ee-common
Summary:       Apache OpenWebBeans EE Common plugin

%description ee-common
Apache OpenWebBeans Java EE Common.

%package ejb
Summary:       Apache OpenWebBeans EJB plugin

%description ejb
Apache OpenWebBeans Java EE EJB plugin.

%package el22
Summary:       Apache OpenWebBeans EL 2.2 plugin

%description el22
Apache OpenWebBeans EL 2.2 integration.

%package impl
Summary:       Apache OpenWebBeans Core

%description impl
Apache OpenWebBeans Implementation core module.

%package jee5-ejb-resource
Summary:       Apache OpenWebBeans EE Resource plugin

%description jee5-ejb-resource
Apache OpenWebBeans EE 5 Resource Integration.

%package jms
Summary:       Apache OpenWebBeans JMS plugin

%description jms
Apache OpenWebBeans JMS Integration.

%package jsf
Summary:       Apache OpenWebBeans JSF-2 plugin

%description jsf
Apache OpenWebBeans JSF integration.

%package osgi
Summary:       Apache OpenWebBeans OSGi plugin

%description osgi
Apache OpenWebBeans OSGi ClassLoader scanning support.

%package resource
Summary:       Apache OpenWebBeans EE Resource plugin

%description resource
Apache OpenWebBeans EE Resource Integration.

%package spi
Summary:       Apache OpenWebBeans SPI definition

%description spi
Apache OpenWebBeans Service Provider Interfaces.

%package test
Summary:       Apache OpenWebBeans CDI Test Framework

%description test
This package contains testing support for CDI containers and
also provides an implementation for OpenWebBeans.

%if 0
%package tomcat6
Summary:       Apache OpenWebBeans Tomcat 6 plugin

%description tomcat6
ApacheOpenWebBeans Tomcat 6 Web Profile.
%endif

%package tomcat7
Summary:       Apache OpenWebBeans Tomcat 7 plugin

%description tomcat7
ApacheOpenWebBeans Tomcat 7 Web Profile.

%package web
Summary:       Apache OpenWebBeans Web plugin

%description web
Apache OpenWebBeans Java EE Web and Serlvet plugin.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q
%patch0 -p1
%patch1 -p0
%patch2 -p0
%patch3 -p0

rm -r DEPENDENCIES
# require org.apache.openwebbeans.build-tools checkstyle-rules 1.2
%pom_remove_plugin :maven-checkstyle-plugin
%pom_remove_plugin :findbugs-maven-plugin
%pom_remove_plugin :taglist-maven-plugin

# unavailable deps
%pom_disable_module distribution
%pom_disable_module samples
%pom_disable_module webbeans-doc
%pom_disable_module webbeans-el10
%pom_disable_module webbeans-jsf12
# TODO
# org.apache.openejb openejb-core
# org.apache.openejb openejb-core openejb-tomcat-catalina 3.1.4
# org.jboss.jsr299.tck jsr299-tck-api 1.0.4.CR1
%pom_disable_module webbeans-porting
# org.jboss.jsr299.tck jsr299-tck-impl 1.0.4.SP1
%pom_disable_module webbeans-tck
%pom_disable_module atinject-tck

%pom_disable_module webbeans-tomcat6
# default use annotation 1.2 apis
%pom_remove_dep :geronimo-annotation_1.1_spec

# TODO remove when shrinkwrap-resolver-bom don't requires aether-connector-wagon
%pom_remove_dep :arquillian-bom webbeans-arquillian

# webbeans-arquillian
%pom_remove_dep org.apache.geronimo.specs:geronimo-atinject_1.0_spec webbeans-arquillian/owb-arquillian-standalone
%pom_add_dep javax.inject:javax.inject webbeans-arquillian/owb-arquillian-standalone
%pom_remove_dep org.apache.geronimo.specs:geronimo-interceptor_1.1_spec webbeans-arquillian/owb-arquillian-standalone
%pom_add_dep org.jboss.spec.javax.interceptor:jboss-interceptors-api_1.1_spec::provided webbeans-arquillian/owb-arquillian-standalone

# webbeans-cdi11
%pom_remove_dep org.apache.geronimo.specs:geronimo-el_2.2_spec webbeans-cdi11
%pom_remove_dep org.apache.geronimo.specs:geronimo-jcdi_1.1_spec webbeans-cdi11
%pom_remove_dep org.apache.geronimo.specs:geronimo-annotation_1.2_spec webbeans-cdi11
%pom_remove_dep org.apache.geronimo.specs:geronimo-atinject_1.0_spec webbeans-cdi11
%pom_add_dep org.jboss.spec.javax.el:jboss-el-api_2.2_spec webbeans-cdi11
%pom_remove_dep org.apache.geronimo.specs:geronimo-interceptor_1.1_spec webbeans-cdi11
%pom_add_dep org.jboss.spec.javax.interceptor:jboss-interceptors-api_1.1_spec webbeans-cdi11
%if %{?fedora} > 19
%pom_add_dep javax.enterprise:cdi-api:1.1 webbeans-cdi11
%else
%pom_add_dep javax.enterprise:cdi-api:1 webbeans-cdi11
%endif
%pom_add_dep javax.annotation:javax.annotation-api webbeans-cdi11
%pom_add_dep javax.inject:javax.inject webbeans-cdi11
%pom_remove_dep org.apache.xbean:xbean-finder-shaded webbeans-cdi11
%pom_add_dep org.apache.xbean:xbean-finder webbeans-cdi11
%pom_add_dep asm:asm webbeans-cdi11
# fix replacer plugin configuration (jira OWB-892)
%pom_xpath_remove "pom:project/pom:build/pom:plugins/pom:plugin[pom:artifactId = 'replacer']/pom:configuration" webbeans-cdi11
%pom_xpath_inject "pom:project/pom:build/pom:plugins/pom:plugin[pom:artifactId = 'replacer']" '
<configuration>
  <basedir>${basedir}</basedir>
  <preserveDir>true</preserveDir>
  <includes>
    <include>target/generated-sources/**/*.java</include>
  </includes>
  <replacements>
    <replacement>
        <token>import org.apache.webbeans.component.spi.BeanAttributes</token>
        <value>import javax.enterprise.inject.spi.BeanAttributes</value>
    </replacement>
    <replacement>
        <token>import org.apache.webbeans.component.spi.ProducerFactory</token>
        <value>import javax.enterprise.inject.spi.ProducerFactory</value>
    </replacement>
    <replacement>
        <token>import org.apache.webbeans.component.spi.InjectionTargetFactory</token>
        <value>import javax.enterprise.inject.spi.InjectionTargetFactory</value>
    </replacement>
  </replacements>
</configuration>' webbeans-cdi11

# webbeans-spi
%pom_remove_dep org.apache.geronimo.specs:geronimo-el_2.2_spec webbeans-spi
%pom_remove_dep org.apache.geronimo.specs:geronimo-servlet_2.5_spec webbeans-spi
%pom_remove_dep org.apache.myfaces.core:myfaces-api webbeans-spi
%pom_add_dep org.jboss.spec.javax.el:jboss-el-api_2.2_spec webbeans-spi
%pom_add_dep org.jboss.spec.javax.servlet:jboss-servlet-api_3.0_spec webbeans-spi
%pom_add_dep org.jboss.spec.javax.faces:jboss-jsf-api_2.1_spec webbeans-spi

# webbeans-impl
%pom_remove_dep org.apache.geronimo.specs:geronimo-el_2.2_spec webbeans-impl
%pom_remove_dep org.apache.geronimo.specs:geronimo-atinject_1.0_spec webbeans-impl
%pom_remove_dep org.apache.geronimo.specs:geronimo-interceptor_1.1_spec webbeans-impl
%pom_add_dep org.jboss.spec.javax.interceptor:jboss-interceptors-api_1.1_spec webbeans-impl
%pom_add_dep javax.inject:javax.inject webbeans-impl
%pom_add_dep org.jboss.spec.javax.el:jboss-el-api_2.2_spec webbeans-impl
%pom_remove_dep org.apache.xbean:xbean-finder-shaded webbeans-impl
%pom_add_dep org.apache.xbean:xbean-finder webbeans-impl
%pom_add_dep asm:asm webbeans-impl
# java.lang.ClassNotFoundException: org.objectweb.asm.commons.EmptyVisitor
%pom_add_dep asm:asm-commons::test webbeans-impl
sed -i "s|org.apache.xbean.asm|org.objectweb.asm|" \
 webbeans-impl/src/main/java/org/apache/webbeans/proxy/AbstractProxyFactory.java \
 webbeans-impl/src/main/java/org/apache/webbeans/proxy/InterceptorDecoratorProxyFactory.java \
 webbeans-impl/src/main/java/org/apache/webbeans/proxy/NormalScopeProxyFactory.java \
 webbeans-impl/src/main/java/org/apache/webbeans/proxy/SubclassProxyFactory.java

# webbeans-ee-common
%pom_remove_dep org.apache.geronimo.specs:geronimo-atinject_1.0_spec webbeans-ee-common
%pom_add_dep javax.inject:javax.inject webbeans-ee-common

# webbeans-el22
%pom_remove_dep org.apache.geronimo.specs:geronimo-el_2.2_spec webbeans-el22
%pom_remove_dep org.apache.geronimo.specs:geronimo-atinject_1.0_spec webbeans-el22
%pom_remove_dep org.apache.geronimo.specs:geronimo-interceptor_1.1_spec webbeans-el22
%pom_add_dep org.jboss.spec.javax.interceptor:jboss-interceptors-api_1.1_spec webbeans-el22
%pom_add_dep org.jboss.spec.javax.el:jboss-el-api_2.2_spec webbeans-el22
%pom_add_dep javax.inject:javax.inject webbeans-el22
# java.lang.ClassNotFoundException: org.objectweb.asm.commons.EmptyVisitor
%pom_add_dep asm:asm-commons::test webbeans-el22

# webbeans-web
%pom_remove_dep org.apache.myfaces.core:myfaces-api webbeans-web
%pom_remove_dep org.apache.geronimo.specs:geronimo-el_2.2_spec webbeans-web
%pom_remove_dep org.apache.geronimo.specs:geronimo-servlet_2.5_spec webbeans-web
%pom_remove_dep org.apache.geronimo.specs:geronimo-jsp_2.1_spec webbeans-web
%pom_remove_dep org.apache.geronimo.specs:geronimo-atinject_1.0_spec webbeans-web
%pom_add_dep org.jboss.spec.javax.faces:jboss-jsf-api_2.1_spec webbeans-web
%pom_add_dep org.jboss.spec.javax.el:jboss-el-api_2.2_spec webbeans-web
%pom_add_dep org.jboss.spec.javax.servlet:jboss-servlet-api_3.0_spec webbeans-web
%pom_add_dep org.jboss.spec.javax.servlet.jsp:jboss-jsp-api_2.2_spec webbeans-web
%pom_add_dep javax.inject:javax.inject webbeans-web
%pom_remove_dep org.apache.xbean:xbean-finder-shaded webbeans-web
%pom_add_dep org.apache.xbean:xbean-finder webbeans-web
%pom_add_dep asm:asm-commons::test webbeans-web
%pom_remove_dep org.apache.geronimo.specs:geronimo-interceptor_1.1_spec webbeans-web
%pom_add_dep org.jboss.spec.javax.interceptor:jboss-interceptors-api_1.1_spec webbeans-web

# webbeans-ejb
%pom_remove_dep org.apache.geronimo.specs:geronimo-atinject_1.0_spec webbeans-ejb
%pom_add_dep javax.inject:javax.inject webbeans-ejb
%pom_remove_dep org.apache.geronimo.specs:geronimo-interceptor_1.1_spec webbeans-ejb
%pom_add_dep org.jboss.spec.javax.interceptor:jboss-interceptors-api_1.1_spec webbeans-ejb

# webbeans-ee
%pom_remove_dep org.apache.myfaces.core:myfaces-api webbeans-ee
%pom_remove_dep org.apache.geronimo.specs:geronimo-el_2.2_spec webbeans-ee
%pom_remove_dep org.apache.geronimo.specs:geronimo-servlet_2.5_spec webbeans-ee
%pom_remove_dep org.apache.geronimo.specs:geronimo-atinject_1.0_spec webbeans-ee
%pom_add_dep org.jboss.spec.javax.faces:jboss-jsf-api_2.1_spec webbeans-ee
%pom_add_dep org.jboss.spec.javax.el:jboss-el-api_2.2_spec webbeans-ee
%pom_add_dep org.jboss.spec.javax.servlet:jboss-servlet-api_3.0_spec webbeans-ee
%pom_add_dep javax.inject:javax.inject webbeans-ee

# webbeans-tomcat6
%if 0
%pom_remove_dep org.apache.geronimo.specs:geronimo-atinject_1.0_spec webbeans-tomcat6
%pom_add_dep javax.inject:javax.inject webbeans-tomcat6
%endif

# webbeans-tomcat7
%pom_remove_dep org.apache.geronimo.specs:geronimo-atinject_1.0_spec webbeans-tomcat7
%pom_add_dep javax.inject:javax.inject webbeans-tomcat7

# webbeans-jms
%pom_remove_dep org.apache.geronimo.specs:geronimo-atinject_1.0_spec webbeans-jms
%pom_add_dep javax.inject:javax.inject webbeans-jms

# webbeans-jsf
%pom_remove_dep org.apache.myfaces.core:myfaces-api webbeans-jsf
%pom_remove_dep org.apache.geronimo.specs:geronimo-el_2.2_spec webbeans-jsf
%pom_remove_dep org.apache.geronimo.specs:geronimo-servlet_2.5_spec webbeans-jsf
%pom_remove_dep org.apache.geronimo.specs:geronimo-atinject_1.0_spec webbeans-jsf
%pom_add_dep org.jboss.spec.javax.faces:jboss-jsf-api_2.1_spec webbeans-jsf
%pom_add_dep org.jboss.spec.javax.el:jboss-el-api_2.2_spec webbeans-jsf
%pom_add_dep org.jboss.spec.javax.servlet:jboss-servlet-api_3.0_spec webbeans-jsf
%pom_add_dep javax.inject:javax.inject webbeans-jsf

# webbeans-clustering
%pom_remove_dep org.apache.geronimo.specs:geronimo-servlet_2.5_spec webbeans-clustering
%pom_remove_dep org.apache.geronimo.specs:geronimo-atinject_1.0_spec webbeans-clustering
%pom_remove_dep org.apache.geronimo.specs:geronimo-el_2.2_spec webbeans-clustering
%pom_add_dep org.jboss.spec.javax.servlet:jboss-servlet-api_3.0_spec webbeans-clustering
%pom_add_dep javax.inject:javax.inject webbeans-clustering
%pom_add_dep org.jboss.spec.javax.el:jboss-el-api_2.2_spec::test webbeans-clustering
# java.lang.ClassNotFoundException: org.objectweb.asm.commons.EmptyVisitor
# java.lang.NoClassDefFoundError org/apache/xbean/finder/AnnotationFinder$InfoBuildingVisitor
%pom_add_dep asm:asm-commons::test webbeans-clustering
%pom_add_dep org.apache.xbean:xbean-finder::test webbeans-clustering
%pom_remove_dep org.apache.geronimo.specs:geronimo-interceptor_1.1_spec webbeans-clustering
%pom_add_dep org.jboss.spec.javax.interceptor:jboss-interceptors-api_1.1_spec::test webbeans-clustering

# webbeans-resource
%pom_remove_dep org.apache.geronimo.specs:geronimo-jpa_2.0_spec webbeans-resource
%pom_remove_dep org.apache.geronimo.specs:geronimo-atinject_1.0_spec webbeans-resource
%pom_add_dep org.hibernate.javax.persistence:hibernate-jpa-2.0-api webbeans-resource
%pom_add_dep javax.inject:javax.inject webbeans-resource

# webbeans-jee5-ejb-resource
%pom_remove_dep org.apache.geronimo.specs:geronimo-atinject_1.0_spec webbeans-jee5-ejb-resource
%pom_add_dep javax.inject:javax.inject webbeans-jee5-ejb-resource

# webbeans-osgi
%pom_remove_dep org.apache.geronimo.specs:geronimo-servlet_2.5_spec webbeans-osgi
%pom_remove_dep org.apache.geronimo.specs:geronimo-atinject_1.0_spec webbeans-osgi
%pom_add_dep org.jboss.spec.javax.servlet:jboss-servlet-api_3.0_spec webbeans-osgi
%pom_add_dep javax.inject:javax.inject webbeans-osgi
%pom_remove_dep org.osgi:org.osgi.core webbeans-osgi
%pom_add_dep org.eclipse.osgi:org.eclipse.osgi:any:provided webbeans-osgi

# webbeans-test
# cditest
%pom_remove_dep org.apache.geronimo.specs:geronimo-atinject_1.0_spec webbeans-test/cditest
%pom_remove_dep org.apache.geronimo.specs:geronimo-interceptor_1.1_spec webbeans-test/cditest
%pom_add_dep org.jboss.spec.javax.interceptor:jboss-interceptors-api_1.1_spec webbeans-test/cditest
%pom_add_dep javax.inject:javax.inject webbeans-test/cditest

# cditest-owb
%pom_remove_dep org.apache.geronimo.specs:geronimo-atinject_1.0_spec webbeans-test/cditest-owb
%pom_remove_dep org.apache.geronimo.specs:geronimo-servlet_2.5_spec webbeans-test/cditest-owb
%pom_remove_dep org.apache.geronimo.specs:geronimo-el_2.2_spec webbeans-test/cditest-owb
%pom_remove_dep org.apache.geronimo.specs:geronimo-interceptor_1.1_spec webbeans-test/cditest-owb
%pom_add_dep org.jboss.spec.javax.interceptor:jboss-interceptors-api_1.1_spec webbeans-test/cditest-owb
%pom_add_dep org.jboss.spec.javax.servlet:jboss-servlet-api_3.0_spec webbeans-test/cditest-owb
%pom_add_dep org.jboss.spec.javax.el:jboss-el-api_2.2_spec webbeans-test/cditest-owb
%pom_add_dep javax.inject:javax.inject webbeans-test/cditest-owb

# These test fails
# java.lang.OutOfMemoryError: unable to create new native thread
rm -r webbeans-impl/src/test/java/org/apache/webbeans/portable/AnnotatedTypeImplTest.java
# require servlet 2.5 apis
rm -rf webbeans-clustering/src/test/java/org/apache/webbeans/web/failover/tests/MockServletContext.java \
 webbeans-clustering/src/test/java/org/apache/webbeans/web/failover/tests/MockServletRequest.java

# Break build
%pom_remove_plugin org.apache.rat:apache-rat-plugin

# merge parents poms with proper project subpackage
%mvn_package org.apache.openwebbeans.arquillian: arquillian
%mvn_package org.apache.openwebbeans.test: test

%build



# some tests fails, e.g. :
# java.lang.NoClassDefFoundError: Could not fully load class: org.apache.webbeans.newtests.interceptors.resolution.beans.UtilitySampleBean
# due to:org/apache/xbean/finder/AnnotationFinder$InfoBuildingVisitor
# java.lang.NoClassDefFoundError: Could not fully load class: org.apache.webbeans.test.component.library.BookShop
# due to:org/objectweb/asm/commons/EmptyVisitor
# require xbean-finder-shaded

%mvn_build -s -- -Pcdi-1.1 \
  -Dproject.build.sourceEncoding=UTF-8 \
  -Dmaven.test.failure.ignore=true

%install
%mvn_install

install -m 644 webbeans-impl/target/%{name}-impl-%{version}-tests.jar %{buildroot}%{_javadir}/%{name}/%{name}-impl-tests.jar

%files -f .mfiles-%{name}
%dir %{_javadir}/%{name}
%license LICENSE NOTICE

%files arquillian -f .mfiles-arquillian
%license LICENSE NOTICE

%files cdi11 -f .mfiles-%{name}-cdi11
%license LICENSE NOTICE

%files clustering -f .mfiles-%{name}-clustering
%license LICENSE NOTICE

%files ee -f .mfiles-%{name}-ee
%license LICENSE NOTICE

%files ee-common -f .mfiles-%{name}-ee-common
%license LICENSE NOTICE

%files ejb -f .mfiles-%{name}-ejb
%license LICENSE NOTICE

%files el22 -f .mfiles-%{name}-el22
%license LICENSE NOTICE

%files impl -f .mfiles-%{name}-impl
%{_javadir}/%{name}/%{name}-impl-tests.jar
%license LICENSE NOTICE

%files jee5-ejb-resource -f .mfiles-%{name}-jee5-ejb-resource
%license LICENSE NOTICE

%files jms -f .mfiles-%{name}-jms
%license LICENSE NOTICE

%files jsf -f .mfiles-%{name}-jsf
%license LICENSE NOTICE

%files osgi -f .mfiles-%{name}-osgi
%license LICENSE NOTICE

%files resource -f .mfiles-%{name}-resource
%license LICENSE NOTICE

%files spi -f .mfiles-%{name}-spi
%license LICENSE NOTICE

%files test -f .mfiles-test
%license LICENSE NOTICE

%if 0
%files tomcat6 -f .mfiles-%{name}-tomcat6
%license LICENSE NOTICE
%endif

%files tomcat7 -f .mfiles-%{name}-tomcat7
%license LICENSE NOTICE

%files web -f .mfiles-%{name}-web
%license LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE

%changelog
* Wed Feb 11 2015 gil cattaneo <puntogil@libero.it> 1.2.0-4
- introduce license macro

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 1.2.0-2
- Use Requires: java-headless rebuild (#1067528)

* Fri Aug 16 2013 gil cattaneo <puntogil@libero.it> 1.2.0-1
- update to 1.2.0

* Tue Jul 23 2013 gil cattaneo <puntogil@libero.it> 1.1.8-4
- used geronimo-jcdi-1.0-api, for avoid conflicts with new cdi-api 1.1

* Thu Jul 11 2013 gil cattaneo <puntogil@libero.it> 1.1.8-3
- built with XMvn
- adapt to current guideline

* Wed May 15 2013 gil cattaneo <puntogil@libero.it> 1.1.8-2
- added jpackage-utils references

* Tue May 07 2013 gil cattaneo <puntogil@libero.it> 1.1.8-1
- update to 1.1.8
- disable tomcat6 module

* Fri Dec 21 2012 gil cattaneo <puntogil@libero.it> 1.1.7-1
- update to 1.1.7

* Wed Oct 24 2012 gil cattaneo <puntogil@libero.it> 1.1.6-1
- initial rpm
